Package com.google.protobuf

# Interface DescriptorProtos.MethodOptionsOrBuilder

All Superinterfaces:
  `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.MethodOptions>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.MethodOptions`, `DescriptorProtos.MethodOptions.Builder`

Enclosing class:
  DescriptorProtos

public static interface DescriptorProtos.MethodOptionsOrBuilder extends GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.MethodOptions>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDeprecated()`
`optional bool deprecated = 33 [default = false, json_name = "deprecated"];`
`DescriptorProtos.MethodOptions.IdempotencyLevel`
`getIdempotencyLevel()`
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 33 [default = false, json_name = "deprecated"];`
`boolean`
`hasIdempotencyLevel()`
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`

### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasDeprecated

boolean hasDeprecated()
`optional bool deprecated = 33 [default = false, json_name = "deprecated"];`

Returns:
  Whether the deprecated field is set.

### getDeprecated

boolean getDeprecated()
`optional bool deprecated = 33 [default = false, json_name = "deprecated"];`

Returns:
  The deprecated.

### hasIdempotencyLevel

boolean hasIdempotencyLevel()
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`

Returns:
  Whether the idempotencyLevel field is set.

### getIdempotencyLevel

DescriptorProtos.MethodOptions.IdempotencyLevel getIdempotencyLevel()
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`

Returns:
  The idempotencyLevel.

### getUninterpretedOptionList

List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOption

DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionCount

int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilderList

List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`